import type { OperationVariables, QueryResult, QueryHookOptions, DocumentNode, FetchMoreQueryOptions, ApolloQueryResult } from '@apollo/client';
export type DataQueryResult<TData = any, TVariables = OperationVariables> = Omit<QueryResult<TData, TVariables>, 'data' | 'previousData' | 'fetchMore' | 'refetch'> & {
    data?: TData | undefined;
    previousData?: TData | undefined;
    fetchMore: (options: FetchMoreQueryOptions<TVariables, TData>) => Promise<ApolloQueryResult<TData>>;
    refetch: (variables?: Partial<TVariables>) => Promise<ApolloQueryResult<TData>>;
};
export declare function useDataQuery<TData = any, TVariables = OperationVariables>(query: DocumentNode, options?: QueryHookOptions<TData, TVariables>): DataQueryResult;
