"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useDataQuery = void 0;
const react_1 = require("react");
const client_1 = require("@apollo/client");
const ui_foundation_ui_notifications_notification_context_1 = require("@teambit/ui-foundation.ui.notifications.notification-context");
const ui_foundation_ui_global_loader_1 = require("@teambit/ui-foundation.ui.global-loader");
function useDataQuery(query, options) {
    const res = (0, client_1.useQuery)(query, options);
    const notifications = (0, react_1.useContext)(ui_foundation_ui_notifications_notification_context_1.NotificationContext);
    const { loading, error } = res;
    (0, ui_foundation_ui_global_loader_1.useLoader)(loading);
    if (error) {
        notifications.error(apolloErrorToString(error));
    }
    return res;
}
exports.useDataQuery = useDataQuery;
// @TODO - improve error extraction
function apolloErrorToString(error) {
    return error.toString();
}
//# sourceMappingURL=use-data-query.js.map